# $dcc.connectionType

Returns the connection type of the specified DCC

Usage

    $dcc.connectionType
    $dcc.connectionType(<dcc_id>)

Description

Returns the connection type of the specified DCC.
Returns the string "ACTIVE" for active DCC connections and the string "PASSIVE" for passive DCC connections. If <dcc_id> is omitted then the DCC Session associated to the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function prints a warning and returns an empty sting.
See the dcc module documentation for more information.

Syntax Specification

    <string> $dcc.connectionType
    <string> $dcc.connectionType(<dcc_id:uint>)

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011